/*******************************************************************************
 * task_man.c
 * This file is part of "Assignment 1: Scheduling Simulator" 
 * Copyright (C) 2009 - c506001 (email: c506001@cse.hcmut.edu.vn )
 *
 * Content:
 * -------- 
 * Implement functions to get processes' information from a file 
 *
 * System and Networking Department
 * Faculty of Computer Science and Engineering
 * Ho Chi Minh City University of Technology
 ******************************************************************************/
 
 
#include <stdio.h> 
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include "task_man.h"

/**
 * Function name: parseFIFOTaskFile
 * Description:
 *    Create task list from input file
 * Return value:
 *    SUCCESS: If successful
 *    ERR_TASKLIST_NULL: If TaskList is NULL
 *    ERR_FILEOPEN_FAILED: If can not open input file
 *    ERR_MALLOC_FAILED: If can not malloc memory
 **/
int parseFIFOTaskFile(struct TaskList *tasks, char *inFile)
{
  FILE *f;
  int err = 0;
  struct Task *tmp;

  if (!tasks)
    return ERR_TASKLIST_NULL;
    
  freeTaskList(tasks);

  f = fopen(inFile, "r");
  if (f == NULL)
    return ERR_FILEOPEN_FAILED;

  // read script file to create task list
  while (1) {

    //TODO: Create tasks from inFile

    tmp = malloc(sizeof(struct Task));
    if (!tmp)
      return ERR_MALLOC_FAILED;
  }

  sortTaskListByStartTime(tasks);	
  return SUCCESS;
}
